DirectoryIterator::getBasename
DirectoryIterator::getExtension
DirectoryIterator
PHP Manual

# DirectoryIterator::getCTime

(PHP 5)

DirectoryIterator::getCTime — Get inode change time of the current DirectoryIterator item

### Description

public int DirectoryIterator::getCTime ( void )

Get the inode change time for the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the last change time of the file, as a Unix timestamp.

### Examples

Example #1 DirectoryIterator::getCTime() example

This example displays the file name and last change time of the files in the directory containing the script.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isFile()) {
echo $fileinfo->getFilename() . " changed at " . $fileinfo->getCTime() . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg changed at 1240398312
    banana.jpg changed at 1238605440
    index.php changed at 1240398935
    pear.jpg changed at 1237423740

### See Also

- DirectoryIterator::getATime() - Get last access time of the current DirectoryIterator item
- DirectoryIterator::getMTime() - Get last modification time of current DirectoryIterator item
- filectime() - Gets inode change time of file

DirectoryIterator::getBasename
DirectoryIterator::getExtension
DirectoryIterator
PHP Manual